Skip to content

Xếp hạng phát trực tiếp - Nhà sáng tạo phát trực tiếp hàng đầu

Giới thiệu

Lấy dữ liệu xếp hạng nhà sáng tạo theo doanh số phát trực tiếp TikTok, hỗ trợ các tính năng sau:

  • Hỗ trợ tham số lọc
  • Hỗ trợ sắp xếp kết quả tùy chỉnh

Endpoint API

bash
    POST /live/v1/rank/topCreator

Phần thân yêu cầu

TrườngKiểuBắt buộcMô tả
filterobjectKhôngTham số lọc
orderbyobjectKhôngTham số sắp xếp
pageintegerKhôngMặc định: 1
pagesizeintegerKhôngMặc định: 10

page * pagesize <= 500

pagesize khoảng [1, 100]

Giá trị tùy chọn của filter

TrườngKiểuBắt buộcMô tả
regionstringKhôngQuốc gia/Khu vực
product_category_idintegerKhôngDanh mục sản phẩm (Cấp 1)
creator_category_idintegerKhôngDanh mục nhà sáng tạo
date_infoobjectThông tin ngày: {"type":"day","value":"2025-02-01"}

khoảng region: ['US','GB','MX','ES','DE','IT','FR','PT','NL','BE','AT','PL','ID','VN','MY','TH','PH','BR','JP','SG']

Giá trị tùy chọn của orderby

TrườngBắt buộcMô tả
units_soldKhôngSản lượng bán (giảm dần)
gmvKhôngDoanh thu (giảm dần)

Ví dụ yêu cầu

bash
curl 'https://openapi.fastmoss.com/live/v1/rank/topCreator' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer xxxxxxxxxx' \
--data '{
    "filter": {
        "region": "US",
        "product_category_id": 14,
        # "creator_category_id": 2,
        "date_info": {
            "type": "day",
            "value": "2026-04-01"
        }
        #,
        # "date_info": {
        #     "type": "week",
        #     "value": "2026-14"
        # },
        # "date_info": {
        #     "type": "month",
        #     "value": "2026-03"
        # }
    },
    "orderby": [
      {
        "field": "units_sold",
        "order": "desc",
      }
    ],
    "page": 1,
    "pagesize": 10
}'

Phần thân phản hồi

data.total

Tổng số kết quả

data.list

TrườngKiểuMô tả
creatorobjectThông tin nhà sáng tạo
top_livearray[object]Phát trực tiếp hàng đầu theo doanh số
sale_product_countintegerSản phẩm đang bán
live_units_soldintegerTổng sản lượng bán của phát trực tiếp
live_gmvintegerTổng doanh thu phát trực tiếp
live_usd_gmvintegerTổng doanh thu phát trực tiếp tính bằng USD
currencystringTiền tệ
live_countintegerSố lượt phát trực tiếp

data.list:creator

TrườngKiểuMô tả
uidstringID nhà sáng tạo
unique_idstringID duy nhất của nhà sáng tạo
nicknamestringBiệt danh nhà sáng tạo
avatarstringURL ảnh đại diện nhà sáng tạo
regionstringQuốc gia/Khu vực
categoryobjectDanh mục nhà sáng tạo
follower_countintegerSố người theo dõi của nhà sáng tạo

data.list:top_live

TrườngKiểuMô tả
room_idstringID phòng phát trực tiếp
uidstringID nhà sáng tạo
regionstringQuốc gia/Khu vực
titlestringTiêu đề phát trực tiếp
coverstringẢnh bìa phát trực tiếp
units_soldintegerSản lượng bán của phát trực tiếp
gmvintegerDoanh thu của phát trực tiếp
currencystringTiền tệ

Ví dụ phản hồi

json
{
  "code": 0,
  "data": {
    "list": [
      {
        "creator": {
          "uid": 7291972001835992106,
          "unique_id": "highlanddaily1",
          "nickname": "highlanddaily1",
          "avatar": "https://s.500fd.com/tt_author/05cf95d47762fb424adeb44051ec003a~c5_300x300.jpeg",
          "region": "US",
          "category": {
            "id": 4,
            "name": "Beauty"
          },
          "follower_count": 77777777
        },
        "sale_product_count": 178,
        "live_units_sold": 57140,
        "live_gmv": 958762.84,
        "live_usd_gmv": 958762.84,
        "currency": "USD",
        "live_count": 6,
        "top_live": [
          {
            "room_id": "7621968386985085727",
            "uid": "7291972001835992106",
            "title": "Spring Glow Up LIVE",
            "region": "US",
            "cover": "https://s.500fd.com/tt_live/7584354100402735927~tplv-obj.image",
            "uints_sold": 72,
            "gmv": 1646.34,
            "currency": "USD"
          },
          {
            "room_id": "7621609989198727966",
            "uid": "7291972001835992106",
            "title": "Spring Glow Up LIVE",
            "region": "US",
            "cover": "https://s.500fd.com/tt_live/7584354100402735927~tplv-obj.image",
            "uints_sold": 20,
            "gmv": 292.64,
            "currency": "USD"
          }
        ]
      }
    ],
    "total": 500,
    "date_type": "week",
    "date_value": "2026-13"
  },
  "message": "",
  "timestamp": 1777297264,
  "request_id": "eeb9aec8-5bd6-2019-da8d-ba53c6946833"
}